Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Attributes
openvrml::gl::viewer::light_info Struct Reference

Light information. More...

List of all members.

## Public Attributes

light_type | type
| Light type.
int | nesting_level
| Nesting level.
float | radius_squared
| The light's radius squared.
vec3f | location
| The light's location.

## Detailed Description

Light information.

## Member Data Documentation

openvrml::gl::viewer::light_type openvrml::gl::viewer::light_info::type

Light type.

int openvrml::gl::viewer::light_info::nesting_level

Nesting level.

float openvrml::gl::viewer::light_info::radius_squared

The light's radius squared.

openvrml::vec3f openvrml::gl::viewer::light_info::location

The light's location.